curl --request POST \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"question": "What is 2 + 2?",
"answer": "4",
"topic": "arithmetic"
},
{
"question": "What is the square root of 16?",
"answer": "4",
"topic": "geometry"
},
{
"question": "If 3x = 12, what is x?",
"answer": "4",
"topic": "algebra"
}
]
}
'import requests
url = "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload = { "examples": [
{
"question": "What is 2 + 2?",
"answer": "4",
"topic": "arithmetic"
},
{
"question": "What is the square root of 16?",
"answer": "4",
"topic": "geometry"
},
{
"question": "If 3x = 12, what is x?",
"answer": "4",
"topic": "algebra"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
examples: [
{question: 'What is 2 + 2?', answer: '4', topic: 'arithmetic'},
{question: 'What is the square root of 16?', answer: '4', topic: 'geometry'},
{question: 'If 3x = 12, what is x?', answer: '4', topic: 'algebra'}
]
})
};
fetch('https://api.arize.com/v2/datasets/{dataset_id}/examples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Add new examples to a dataset
Appends new examples to an existing dataset.
If the dataset version is not passed, the latest version is selected. The inserted examples will be assigned autogenerated, unique IDs.
Payload Requirements
- Each item in
examples[]may contain any user-defined fields. - Do not include system-managed fields on input:
id,created_at,updated_at. Requests that contain these fields in any example will be rejected. - Each example must contain at least one property (i.e.,
{}is invalid).
Valid example (create)
{
"examples": [
{ "question": "What is 2+2?",
"answer": "4",
"topic": "math"
}
]
}
Invalid example (‘id’ not allowed on create)
{
"examples": [
{
"id": "ex_1",
"input": "Hello"
}
]
}
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique dataset identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Query Parameters
The unique identifier of the dataset version A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Body
Body containing dataset examples for insert (append) operation with auto-generated IDs
Examples to append (insert) to a dataset version, with auto-generated IDs.
Array of examples to append to the dataset version
1 - 1000 elementsResponse
Examples successfully added to the dataset.
A dataset with the IDs of examples that were inserted or updated. Includes the version the examples were written to and the list of affected example IDs.
Unique identifier for the dataset
Name of the dataset
Unique identifier for the space this dataset belongs to
Timestamp for when the dataset was created
Timestamp for the last update of the dataset
Unique identifier for the dataset version the examples were written to
IDs of the examples that were inserted or updated
Was this page helpful?